CreateStreamAndDefaultBranches
curl --request POST \
--url https://api.realtimelca.com/rest/api/Speckle/streamDefaultBranches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"streamName": "Langt fra",
"branches": [
"755b67d3-7190-4902-b481-ca19a1f1f5e2",
"0178923a-3892-4700-92a3-6dcaba1b84d8",
"7ab2e724-dcad-49db-a873-63cce32c7166"
]
}
'Project
CreateStreamAndDefaultBranches
Creates a new Speckle stream along with its default branches. This endpoint initializes a stream by name and associates it with a predefined set of branch IDs, setting up the default branch structure for the project.
Base URL: {{lcabaseUrl}}
Endpoint: POST /Speckle/streamDefaultBranches
POST
/
Speckle
/
streamDefaultBranches
CreateStreamAndDefaultBranches
curl --request POST \
--url https://api.realtimelca.com/rest/api/Speckle/streamDefaultBranches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"streamName": "Langt fra",
"branches": [
"755b67d3-7190-4902-b481-ca19a1f1f5e2",
"0178923a-3892-4700-92a3-6dcaba1b84d8",
"7ab2e724-dcad-49db-a873-63cce32c7166"
]
}
'⌘I

